Subject: Re: [OT] how does "git review --setup" figure out my username?

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 31 Mar 2018 22:10:30 +0200

On Sat, Mar 31 2018, Robert P. J. Day wrote:

> On Sat, 31 Mar 2018, Ævar Arnfjörð Bjarmason wrote:
>
>> On Sat, Mar 31, 2018 at 9:04 PM, Robert P. J. Day <[email-masked]> wrote:
>> >
>> >   (technically not a git question, but i kind of need to know the
>> > answer to this quickly as i'm writing some documentation and this is
>> > something i have to explain.)
>> >
>> >   i cloned a repository (hyperledger fabric) which has a top-level
>> > .gitreview file:
>> >
>> >   [gerrit]
>> >   host=gerrit.hyperledger.org
>> >   port=29418
>> >   project=fabric
>> >
>> > and, as i read it, if i want to configure to use gerrit, an initial
>> > invocation of "git review --setup" should do that for me, which it
>> > appears to do, as it adds the following to .git/config:
>> >
>> >   [remote "gerrit"]
>> >         url = ssh://[email-masked]:29418/fabric
>> >         fetch = +refs/heads/*:refs/remotes/gerrit/*
>> >
>> > and copies over the commit-msg hook. so far, so good.
>> >
>> >   but from where does it figure out the username (rpjday) to use when
>> > configuring that remote? i have no gerrit configuration in my
>> > .gitconfig file. however, i have configured gerrit at the hyperledger
>> > end to use my SSH key, which is associated with my linux foundation ID
>> > (rpjday) that i registered to start using that repo.
>> >
>> >   is that where it gets the username from?
>>
>> I've never used gerrit, but from my skimming of
>> https://www.mediawiki.org/wiki/Gerrit/git-review#Setting_up_git-review
>> and
>> https://www.mediawiki.org/wiki/Gerrit/Tutorial#Configuring_git-review
>> it seems (to me) to say that it simply tries if your local loginname
>> works on the remote. Is rpjday your loginname on this system?
>
>   yes, but it's just a fluke that i used the same user name in both
> places ... what if i hadn't? which one would it have selected?

Seems like a fairly common case, especially as gerrit tends to be used
in Big Corp setups where your username is the same.

According to the docs I linked to it'll ask you if it doesn't happen to
match, but as I've said never used it, and that may be wrong.